Get Video
This endpoint returns a single video by its unique identifier.
Documentation Index
Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
Use this file to discover all available pages before exploring further.
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Path Parameters
A unique identifier for the video.
Query Parameters
If set to true, the response will include additional video data such as the thumbnail image and gif links.
Response
OK
A unique identifier for the video.
""
The name of the video.
Lifecycle status; possible values: queued, generating, ready, deleted, error. When ready, download_url, stream_url, and hosted_url are populated for download, stream, and viewing respectively.
"ready"
A direct link to download your generated video (populated when status is ready).
A direct link to stream your generated video (populated when status is ready).
A direct link to view your generated video, hosted by Tavus (populated when status is ready).
A detailed status of the video.
The date and time the video was created.
The date and time of when the video was last updated.
Included if the verbose query parameter is set to true. A link to an image thumbnail of the video.
Included if the verbose query parameter is set to true. A link to a gif thumbnail of the video.

